#ifndef FOUNDATION_WEBCONFIG_H
#define FOUNDATION_WEBCONFIG_H

#include "settings/config_parser.h"
#include <functional>
#include <json/json.h>
#include <memory>
#include <stdio.h>
#include <unordered_map>
#include <vector>

struct Webs;

class WebHandler {
public:
    WebHandler();

    static WebHandler *instance();

    bool LoginVerify(Webs *wp);
    Json::Value UidWebResult(Webs *wp, const std::string &node);
    Json::Value AjaxWebResult(Webs *wp, const std::string &node);
    bool WebResult(Webs *wp, const std::string &prefix);

private:
};

#endif // FOUNDATION_WEBCONFIG_H